package example_4;

public class PhraseOfMad {
    public static void main(String[] args) {
        //Создайте три набора слов для выбора. Добавляйте собственные слова!
        String[] wordListOne = {"круглосуточный", "трех-звеный", "300-метровый",
                "взаимный", "обоюдный выигрыш", "фронтэнд", "на основе вэб-технологий",
                "проникающий", "умный", "шесть сигм", "метод критического пути", "динамический"};
        String[] wordListTwo = {"уполномоченный", "трудный", "чистый продукт", "ориентировнный",
                "центральный", "распределенный", "кластеризованный", "фирменный", "нестандартный ум",
                "позиционированный", "сетевой", "сфокусированный", "использованный с выгодой",
                "выровненный", "нацеленный на", "общий", "совместный", "ускоренный"};
        String[] wordListThree = {"процесс", "пункт разгрузки", "выход из положения", "тип структуры",
                "талант", "подход", "уровень завоевонного внимания", "портал", "период времени",
                "обзор", "образец", "пункт следования"};

        //Вычисляем, сколько слов в каждом списке
        int oneLength = wordListOne.length;
        int twoLength = wordListTwo.length;
        int threeLength = wordListThree.length;

        //Генерируем три случайных числа
        int rand1 = (int) (Math.random() * oneLength);
        int rand2 = (int) (Math.random() * twoLength);
        int rand3 = (int) (Math.random() * threeLength);

        //Теперь строим фразу
        String phrase = wordListOne[rand1] + " " + wordListTwo[rand2] + " " + wordListThree[rand3];

        //Выводим фразу на экран
        System.out.println("Все, что нам нужно, - это " + phrase);
    }
}
